Subject: Re: Funny: git -p submodule summary

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Jan 2009 01:38:59 -0800

Jeff King <[email-masked]> writes:

> On Fri, Jan 09, 2009 at 01:30:23AM -0800, Junio C Hamano wrote:
>
>> This arrangement to have the third process could even open the possibility
>> of having it read from git and write to pager, and not launching the pager
>> if there is no interesting data from git to feed it with.
>> 
>> I do not know if I like the performance implications associated with it,
>> though.
>
> Ugh. That has definitely been a requested feature, but the thought of
> essentially running "cat" in our pipeline strikes me as a bit kludgey.
>
> On the other hand, we are by definition going to the pager in that case,
> so in theory performance is less of a consideration.
>
> But see my other mail for why a third process is hard to always do on
> Windows.

Heh, this late at night just before going to bed, I am allowed to say that
I do not care about Windows at all ;-).  More dedicated and competent
people will solve it for us while I am sleeping.